//+------------------------------------------------------------------+
//|                                                         coba.mq4 |
//|                                                             none |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Coba"
#property link      "none"

extern int			_MagicNumber	= 1123;

extern double		Lot				= 0.1;
extern int			StopLoss			= 50;	
extern int			TakeProfit		= 50;
extern int			TrailingStop	= 0;	

extern int			Luft				= 50;	

int start()
{
	
	int BuyStopOrder = 0, SellStopOrder = 0, BuyOrder = 0, SellOrder = 0;
	int _GetLastError = 0, _OrdersTotal = OrdersTotal();
	
	
	for ( int z = _OrdersTotal - 1; z >= 0; z -- )
	{
		
OrderSelect( z, SELECT_BY_POS );
		
						
		if ( OrderSymbol() != Symbol() ) continue;

		
		if ( OrderMagicNumber() != _MagicNumber ) continue;

		
		switch ( OrderType() )
		{
			case OP_BUY:		BuyOrder			= OrderOpenPrice(); break;
			case OP_SELL:		SellOrder		= OrderOpenPrice(); break;
			case OP_BUYSTOP:	BuyStopOrder	= OrderTicket(); break;
			case OP_SELLSTOP:	SellStopOrder	= OrderTicket(); break;
		}
	}

	
	if ( BuyStopOrder > 0 && SellStopOrder > 0 ) return(0);

// Delete one that not used
	
	_OrdersTotal = OrdersTotal();
	for ( z = _OrdersTotal - 1; z >= 0; z -- )
	{
		
OrderSelect( z, SELECT_BY_POS );
	
		if ( OrderSymbol() != Symbol() ) continue;

		
		if ( OrderMagicNumber() != _MagicNumber ) continue;

 		
		switch ( OrderType() )
		{
			
			case OP_BUY:
			{
				
				if ( SellStopOrder > 0 )
			
					OrderDelete( SellStopOrder ); 
								
				return(0);
			}
			
			case OP_SELL:
			{
				if ( BuyStopOrder > 0 )
				
					OrderDelete( BuyStopOrder ); 
					
				
				return(0);
			}
		}
	}

// Regular open with lot o.45	


	double _OpenPriceLevel, _StopLossLevel, _TakeProfitLevel;
	_OpenPriceLevel = NormalizeDouble( Ask + Luft*Point, Digits );

	if ( StopLoss > 0 )
	{ _StopLossLevel = NormalizeDouble( _OpenPriceLevel - StopLoss*Point, Digits ); }
	else
	{ _StopLossLevel = 0.0; }

	if ( TakeProfit > 0 )
	{ _TakeProfitLevel = NormalizeDouble( _OpenPriceLevel + TakeProfit*Point, Digits ); }
	else
	{ _TakeProfitLevel = 0.0; }

OrderSend ( Symbol(), OP_BUYSTOP, 0.45, _OpenPriceLevel, 5, _StopLossLevel, 
						  _TakeProfitLevel, "", _MagicNumber );

	
	_OpenPriceLevel = NormalizeDouble( Bid - Luft*Point, Digits );

	if ( StopLoss > 0 )
	{ _StopLossLevel = NormalizeDouble( _OpenPriceLevel + StopLoss*Point, Digits ); }
	else
	{ _StopLossLevel = 0.0; }

	if ( TakeProfit > 0 )
	{ _TakeProfitLevel = NormalizeDouble( _OpenPriceLevel - TakeProfit*Point, Digits ); }
	else
	{ _TakeProfitLevel = 0.0; }

OrderSend ( Symbol(), OP_SELLSTOP, 0.45, _OpenPriceLevel, 5, _StopLossLevel, 
				   _TakeProfitLevel, "", _MagicNumber ); 

return(0);
return(0);
}